> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a pledge



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/pledges/{pledge}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/pledges/{pledge}:
    get:
      tags:
        - Pledges
      summary: Get a pledge
      operationId: pledges.show
      parameters:
        - name: pledge
          in: path
          required: true
          description: The pledge ID
          schema:
            type: integer
      responses:
        '200':
          description: '`PledgeResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PledgeResource'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    PledgeResource:
      type: object
      properties:
        id:
          type: string
        contact_id:
          type: string
        campaign_id:
          type: string
        fund_id:
          type: string
        type:
          type: string
        status:
          type: string
        status_friendly:
          type: string
        amount:
          type: string
        amount_fulfilled:
          type: string
        amount_remaining:
          type: string
        allow_custom_amount:
          type: string
        installment_frequency:
          type: string
        first_installment_date:
          type: string
        next_installment_date:
          type: string
        expected_fulfillment_date:
          type: string
        memo:
          type: string
        auto_remind:
          type: string
        last_reminded_at:
          type: string
        fee_coverage_type:
          type: string
        fee_coverage_visibility:
          type: string
        include_in_campaign_goal:
          type: string
        tips_enabled:
          type: string
        canceled_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - contact_id
        - campaign_id
        - fund_id
        - type
        - status
        - status_friendly
        - amount
        - amount_fulfilled
        - amount_remaining
        - allow_custom_amount
        - installment_frequency
        - first_installment_date
        - next_installment_date
        - expected_fulfillment_date
        - memo
        - auto_remind
        - last_reminded_at
        - fee_coverage_type
        - fee_coverage_visibility
        - include_in_campaign_goal
        - tips_enabled
        - canceled_at
        - created_at
        - updated_at
      title: PledgeResource
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````